Subject: Flow Control Issue

From: [email-masked] (Thang Do)
Date: Thu, 14 Sep 1995 08:22:09 -0700 (PDT)

Hi Shannon,

I have a concern about the Flow Control scheme that DLSw is using now. The
concern is the IFCIND message. I copy a file from a IBM Lan Server to a NetBios
Dos Requester through DLSw network. The number of IFCIND messages exchanged
between two DLSw nodes is very high. The number may be varied depending on
different implementations, however, I think that we may have to revisit this
issue from the architecture point-of-view.

Here is the test result

        - The file size is 780,288 bytes
        - WAN side is Frame Relay
        - LAN side is 16 M Token Ring
        - Initial Window Size is 2
        - Using Adaptive Pacing

        - Number of I-frames and IFC frames

        Receiver                        Sender
        --------                        ------
I-frame   1524                            31
IFC        521                           521

Therefore, out of 780,288 bytes of information, 75,024 bytes ( 521*2*72)
of "control" are needed. For the best implementation, which I believe that it
is hard to achieve, 31+521 IFC messages are saved by sending along with
I-frames. In this case, we still have 490 IFC messages (35,280 bytes) going
across the WAN.

The user will have to pay additional 4-10% for WAM usage if they upgrade
from the pre-DLSw to DLSw version 1.

Of course, if the initial window size is increased, the number of IFC frames
will be decreased.

-Thang Do